---
title: Delete DNS Record
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[DNS](https://developers.cloudflare.com/api/typescript/resources/dns)

[Records](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/records)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete DNS Record

client.dns.records.delete(stringdnsRecordID, RecordDeleteParams {zone\_id } params, RequestOptionsoptions?): [RecordDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_delete_response%20%3E%20(schema)>) {id }

DELETE/zones/{zone\_id}/dns\_records/{dns\_record\_id}

Permanently removes a DNS record from the zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Write`

##### ParametersExpand Collapse

dnsRecordID: string

Identifier.

maxLength32

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20dns_record_id%20%3E%20(schema)>)

<details>

<summary>

params: RecordDeleteParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

RecordDeleteResponse {id }

</summary>

id?: string

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.records%20%3E%20(model)%20record_delete_response%20%3E%20(schema)>)

### Delete DNS Record

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const record = await client.dns.records.delete('023e105f4ecef8ad9ca31a8372d0c353', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(record.id);
```

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```